Package org.eclipse.net4j.util.concurrent

# Class CompletionWorkSerializer

java.lang.Object
org.eclipse.net4j.util.concurrent.CompletionWorkSerializer

All Implemented Interfaces:
  `IWorkSerializer`

@Deprecated public class CompletionWorkSerializer extends Object implements IWorkSerializer
Deprecated.
As of 3.6 use `ExecutorWorkSerializer`.

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`CompletionWorkSerializer()`
Deprecated.
`CompletionWorkSerializer(CompletionService<Object> completionService)`
Deprecated.
`CompletionWorkSerializer(Executor executor)`
Deprecated.
`CompletionWorkSerializer(Executor executor, BlockingQueue<Future<Object>> completionQueue)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addWork(Runnable work)`
Deprecated.
`void`
`dispose()`
Deprecated.
`CompletionService<Object>`
`getCompletionService()`
Deprecated.
`String`
`toString()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CompletionWorkSerializer

@Deprecated public CompletionWorkSerializer(CompletionService<Object> completionService)
Deprecated.

### CompletionWorkSerializer

@Deprecated public CompletionWorkSerializer(Executor executor, BlockingQueue<Future<Object>> completionQueue)
Deprecated.

### CompletionWorkSerializer

@Deprecated public CompletionWorkSerializer(Executor executor)
Deprecated.

### CompletionWorkSerializer

@Deprecated public CompletionWorkSerializer()
Deprecated.

## Method Details

### getCompletionService

@Deprecated public CompletionService<Object> getCompletionService()
Deprecated.

### dispose

@Deprecated public void dispose()
Deprecated.

Specified by:
  `dispose` in interface `IWorkSerializer`

### addWork

@Deprecated public boolean addWork(Runnable work)
Deprecated.

Specified by:
  `addWork` in interface `IWorkSerializer`

### toString

@Deprecated public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`